# $Revision: 1.288 $, $Date: 2008/12/16 11:33:13 $
# BRANCHES:
# - HEAD - stable version
# - DEVEL - development version
# - WEEKLY - weekly development version
#
# NOTE: to avoid creating unreadable/unmaintainable spec:
# - don't put static version here, create STATIC branch for that for example
# - don't create useless bconds that for example limit SourceX: to current arch only
#

%bcond_with	qt4	#take the qt4 version

%define		ver	9.63
%define		shver	%(echo %{ver} | tr -d .)
%define		buildid	2474

Summary:	World fastest web browser
Summary(pl.UTF-8):	Najszybsza przeglądarka WWW na świecie
Name:		opera
Version:	%{ver}
Release:	1
Epoch:		2
License:	Distributable
Group:		X11/Applications/Networking
Source10:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/final/en/i386/shared/%{name}-%{version}.gcc4-shared-qt3.i386.tar.bz2
# Source10-md5:	1f2c4fd358b07adcf4f14f348509b9fe
Source11:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/final/en/x86_64/%{name}-%{version}.gcc4-shared-qt3.x86_64.tar.bz2
# Source11-md5:	d02d20a36d1f6ed02265aa7e49c71aaf
Source12:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/final/en/ppc/shared/%{name}-%{version}.gcc4-shared-qt3.ppc.tar.bz2
# Source12-md5:	2afaa270f10bf7541e334c6a92dd2a36
Source13:	ftp://ftp.opera.com/pub/opera/linux/%{shver}/final/en/i386/%{name}-%{version}.gcc4-qt4.i386.tar.bz2
# Source13-md5:	c7bd896e9f04536b4a9733e6d7ce6aea
Source0:	%{name}.desktop
Patch0:		%{name}-wrapper.patch
Patch1:		%{name}-agent-ac.patch
Patch2:		%{name}-agent-th.patch
Patch3:		%{name}-agent-ti.patch
URL:		http://www.opera.com/
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.356
BuildRequires:	sed >= 4.0
Requires:	browser-plugins >= 2.0
Requires:	freetype >= 2
Provides:	wwwbrowser
Obsoletes:	opera-i18n
ExclusiveArch:	%{ix86} %{x8664} ppc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/opera/plugins
%define		_operadocdir	%{_docdir}/%{name}-%{ver}
# alternative arch for plugin32
%define		alt_arch	i386

%description
Opera is world fastest web browser. It supports most of nowaday
extensions of HTML. And it is quite stable. This version is linked
with shared version of Qt.

%description -l pl.UTF-8
Opera jest najszybszą przeglądarką WWW na świecie. Obsługuje większość
dzisiejszych rozszerzeń HTML-a. Dodatkowo jest w miarę stabilna. Ta
wersja jest skonsolidowana dynamicznie z Qt.

%package plugin32
Summary:	Opera 32-bit plugins support
Summary(pl.UTF-8):	Obsługa 32-bitowych wtyczek Opery
Group:		X11/Applications/Networking
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	browser-plugins >= 2.0

%description plugin32
Opera 32-bit plugins support.

%description plugin32 -l pl.UTF-8
Obsługa 32-bitowych wtyczek Opery.

%prep
%ifarch %{ix86}
%if %{with qt4}
%setup -q -T -b 13 -n %{name}-%{version}-%{buildid}.gcc4-qt4.i386
%define		_noautoreq	'libpng12.so.0(.*)'
%else
%setup -q -T -b 10 -n %{name}-%{version}-%{buildid}.gcc4-shared-qt3.i386
%endif
%endif
%ifarch %{x8664}
%setup -q -T -b 11 -n %{name}-%{version}-%{buildid}.gcc4-shared-qt3.x86_64
%endif
%ifarch ppc
%setup -q -T -b 12 -n %{name}-%{version}-%{buildid}.gcc4-shared-qt3.ppc
%endif
%patch0 -p1
%if "%{pld_release}" == "ac"
%patch1 -p0
%endif
%if "%{pld_release}" == "th"
%patch2 -p0
%endif
%if "%{pld_release}" == "ti"
%patch3 -p0
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir},%{_sysconfdir}}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins -b <<'EOF'
# opera does not use for .xpt files
*.xpt

# use mplayerplug-in-opera instead
mplayerplug-in*

# opera uses libjava.so to run java
libjavaplugin_oji.so
EOF

%ifarch %{x8664}
install -d $RPM_BUILD_ROOT%{_prefix}/lib/%{name}/plugins
%browser_plugins_add_browser %{name} -a %{alt_arch} -p %{_prefix}/lib/%{name}/plugins -b <<'EOF'
# opera does not use for .xpt files
*.xpt

# use mplayerplug-in-opera instead
mplayerplug-in*

# opera uses libjava.so to run java
libjavaplugin_oji.so
EOF
%endif

sh install.sh \
	DESTDIR=$RPM_BUILD_ROOT \
	--prefix=%{_prefix} \
	--exec_prefix=%{_libdir}/%{name}/bin \
	--plugindir=%{_libdir}/%{name}/plugins \
	--docdir=%{_operadocdir}

# install in kde etc.
install %{SOURCE0} $RPM_BUILD_ROOT%{_desktopdir}

install etc/* $RPM_BUILD_ROOT%{_sysconfdir}
install usr/share/pixmaps/*.xpm $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%post plugin32
%update_browser_plugins

%postun plugin32
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc LICENSE
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/opera*rc*

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.%{_target_base_arch}
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.%{_target_base_arch}.blacklist

%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/opera
%dir %{_libdir}/opera/bin
%attr(755,root,root) %{_libdir}/opera/bin/*
%ifarch %{x8664}
%exclude %{_libdir}/opera/bin/*-ia32-*
%endif
%dir %{_plugindir}
%dir %{_datadir}/opera
%{_datadir}/opera/*.*
%{_datadir}/opera/ini
%{_datadir}/opera/java
%{_datadir}/opera/skin
%{_datadir}/opera/styles
%dir %{_datadir}/opera/locale
%{_datadir}/opera/locale/en
%{_datadir}/opera/locale/english.lng
%lang(be) %{_datadir}/opera/locale/be
%lang(bg) %{_datadir}/opera/locale/bg
%lang(cs) %{_datadir}/opera/locale/cs
%lang(da) %{_datadir}/opera/locale/da
%lang(de) %{_datadir}/opera/locale/de
%lang(el) %{_datadir}/opera/locale/el
%lang(en_GB) %{_datadir}/opera/locale/en-GB
%lang(es) %{_datadir}/opera/locale/es-ES
%lang(es_LA) %{_datadir}/opera/locale/es-LA
%lang(et) %{_datadir}/opera/locale/et
%lang(fi) %{_datadir}/opera/locale/fi
%lang(fr) %{_datadir}/opera/locale/fr
%lang(fr_CA) %{_datadir}/opera/locale/fr-CA
%lang(fy) %{_datadir}/opera/locale/fy
%lang(hi) %{_datadir}/opera/locale/hi
%lang(hr) %{_datadir}/opera/locale/hr
%lang(hu) %{_datadir}/opera/locale/hu
%lang(id) %{_datadir}/opera/locale/id
%lang(it) %{_datadir}/opera/locale/it
%lang(ja) %{_datadir}/opera/locale/ja
%lang(ka) %{_datadir}/opera/locale/ka
%lang(ko) %{_datadir}/opera/locale/ko
%lang(lt) %{_datadir}/opera/locale/lt
%lang(mk) %{_datadir}/opera/locale/mk
%lang(nb) %{_datadir}/opera/locale/nb
%lang(nl) %{_datadir}/opera/locale/nl
%lang(nn) %{_datadir}/opera/locale/nn
%lang(pl) %{_datadir}/opera/locale/pl
%lang(pt) %{_datadir}/opera/locale/pt
%lang(pt_BR) %{_datadir}/opera/locale/pt-BR
%lang(ru) %{_datadir}/opera/locale/ru
%lang(sv) %{_datadir}/opera/locale/sv
%lang(ta) %{_datadir}/opera/locale/ta
%lang(te) %{_datadir}/opera/locale/te
%lang(tr) %{_datadir}/opera/locale/tr
%lang(uk) %{_datadir}/opera/locale/uk
%lang(zh_CN) %{_datadir}/opera/locale/zh-cn
%lang(zh_TW) %{_datadir}/opera/locale/zh-tw
%{_desktopdir}/*.desktop
%{_mandir}/man1/opera.1*
%{_pixmapsdir}/opera.xpm

%ifarch %{x8664}
%files plugin32
%defattr(644,root,root,755)
# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.%{alt_arch}
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.%{alt_arch}.blacklist
%dir %{_prefix}/lib/%{name}
%dir %{_prefix}/lib/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/bin/*-ia32-*
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opera.spec,v $
Revision 1.288  2008/12/16 11:33:13  arekm
- up to 9.63

Revision 1.287  2008/11/11 19:47:05  blues
- CVE note

Revision 1.286  2008/10/30 11:24:34  shadzik
- buildid

Revision 1.285  2008/10/30 11:23:08  shadzik
- 9.62 [fixes: CVE-2008-4795, http://www.opera.com/support/search/view/906/]

Revision 1.284  2008/10/23 08:42:07  glen
- do not discriminate other dists; rel 3

Revision 1.283  2008/10/22 22:53:19  shadzik
- added -agent.patch for titanium
- rel 2

Revision 1.282  2008/10/21 12:24:42  arekm
- up to 9.61 (SECURITY fixes)

Revision 1.281  2008/10/13 12:39:02  blues
- security notes for 9.60

Revision 1.280  2008/10/08 08:44:24  arekm
- up to 9.60, fixes:
  http://www.opera.com/support/search/view/902/
  http://www.opera.com/support/search/view/901/

Revision 1.279  2008/08/20 13:48:59  arekm
- up to 9.52

Revision 1.278  2008/07/08 17:29:00  arekm
- fix qt4 bcond

Revision 1.277  2008/07/05 18:21:20  shadzik
- noautoreq libpng12.so when choosing qt4 version

Revision 1.276  2008/07/05 18:01:16  shadzik
- src.rpm now includes all versions

Revision 1.275  2008/07/05 16:26:51  shadzik
- add qt4 bcond
- qt4 version seems much much faster on kde4, especialy the interface

Revision 1.274  2008/07/03 15:51:26  glen
- release 2 (1 for ac)

Revision 1.273  2008/07/03 15:33:39  hawk
- release down to 1

Revision 1.272  2008/07/03 15:32:51  hawk
- updated to final 9.51

Revision 1.271  2008/06/25 10:05:53  arekm
- snap back to DEVEL

Revision 1.270  2008/06/22 18:59:06  arekm
- up to 9.51 snap 2050

Revision 1.269  2008/06/12 18:37:20  glen
- mention removed/added arches for 9.50 update

Revision 1.268  2008-06-12 18:31:12  glen
- rel 4

Revision 1.267  2008-06-12 17:51:44  glen
- add browser-plugins v2 system to -plugin32

Revision 1.266  2008-06-12 16:25:05  qboosh
- unified: just lang(es) for es_ES

Revision 1.265  2008-06-12 14:14:14  glen
- update for discarded shared/static bcond, cosmetics

Revision 1.264  2008-06-12 14:10:08  glen
- release 3

Revision 1.263  2008-06-12 11:06:50  arekm
- rel 2; 32bit plugins support subpackage for x86_64

Revision 1.262  2008-06-12 11:00:50  arekm
- up to 9.50 stable
  [sparc, sparcv9 arches dropped, x86_64 arch added]

Revision 1.261  2008-04-03 21:24:51  glen
- release 2 (1 for ac)

Revision 1.260  2008-04-03 21:24:23  glen
- release 1

Revision 1.259  2008-04-03 21:11:07  paszczus
- updated to 9.27

Revision 1.258  2008-02-29 11:36:22  glen
- CVE refs for 9.26 (taken from SuXE announcement)

Revision 1.257  2008-02-20 21:44:10  arekm
- up to 9.26 [CVE-2008-1080, CVE-2008-1081, CVE-2008-1082]

Revision 1.256  2007-12-19 14:05:32  glen
- rel 2 (rel 1 for ac)

Revision 1.255  2007-12-19 13:58:54  arekm
- up to 9.25

Revision 1.254  2007-10-31 12:29:46  glen
- typo

Revision 1.253  2007/10/31 11:06:34  glen
- more simplify

Revision 1.252  2007/10/31 11:05:21  glen
- simplify

Revision 1.251  2007/10/31 11:04:10  glen
- try to sort out the tree of conditions
- typo in sparc setup line

Revision 1.250  2007/10/30 23:07:31  glen
- fix sparc build (enable sparc shared). why it was disabled?; rel 2

Revision 1.249  2007/10/17 16:16:10  arekm
- up to 9.24; SECURITY

Revision 1.248  2007/09/04 17:06:55  arekm
- drop weekly (see WEEKLY branch) and snap (see DEVEL branch)

Revision 1.247  2007/09/04 16:05:11  arekm
- info about branches

Revision 1.246  2007/09/04 11:59:48  glen
- add plain amd64 support

Revision 1.245  2007/09/04 11:12:37  arekm
- snap up to 9.50 (first alpha version of kestrel)

Revision 1.244  2007/08/15 16:59:27  arekm
- up to 9.23

Revision 1.243  2007/08/09 16:55:13  arekm
- weekly 660

Revision 1.242  2007/08/04 09:36:49  arekm
9.23 weekly 657

Revision 1.241  2007/07/19 19:26:47  arekm
- up to version 9.22 final

Revision 1.240  2007/07/11 07:10:22  arekm
- weekly 652

Revision 1.239  2007/07/07 18:05:38  arekm
- 9.22 weekly 651

Revision 1.238  2007/06/25 15:39:38  glen
- tab

Revision 1.237  2007/06/24 19:24:15  arekm
- define nil reltype for specparser.pl

Revision 1.236  2007/06/12 06:34:00  arekm
- fix md5

Revision 1.235  2007/05/21 20:17:53  arekm
- final 9.21

Revision 1.234  2007/05/14 21:53:58  arekm
- up to 9.21 weekly 641

Revision 1.233  2007/04/11 14:40:28  arekm
- rel 1

Revision 1.232  2007/04/11 14:39:39  arekm
- up to 9.20 final

Revision 1.231  2007/04/06 15:51:35  arekm
- up weekly to 633

Revision 1.230  2007/04/01 18:57:03  qboosh
- (32-bit) sparcv9, not sparc64

Revision 1.229  2007/03/30 17:23:16  arekm
- weekly 628

Revision 1.228  2007/03/24 11:32:11  arekm
- up to weekly 617

Revision 1.227  2007/03/17 23:29:35  arekm
- up to 598

Revision 1.226  2007/03/13 09:31:36  sparky
- speadup for new specparser.pl (about 600 posibilities instead of 6000)

Revision 1.225  2007/02/28 19:20:15  arekm
- weekly 577

Revision 1.224  2007/02/15 13:41:27  glen
- opera does not use java-sun browser plugin

Revision 1.223  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.222  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.221  2007/02/03 06:13:29  arekm
- up to build 557

Revision 1.220  2007/01/19 21:28:02  arekm
- up to 543

Revision 1.219  2007/01/14 19:26:00  arekm
- build 536

Revision 1.218  2007/01/10 14:21:21  glen
- mplayerplug-in has own package for opera

Revision 1.217  2007/01/09 23:07:27  glen
- browser plugins v2
- rel 4

Revision 1.216  2006/12/22 16:16:23  glen
- rel 3

Revision 1.215  2006/12/18 11:20:03  arekm
- final opera 9.10

Revision 1.214  2006/12/14 19:43:22  arekm
- up to weekly 521

Revision 1.213  2006/12/07 15:03:47  arekm
- disable ppc/sparc for weekly

Revision 1.212  2006/12/07 14:54:30  arekm
- weekly 507

Revision 1.211  2006/12/01 16:48:04  glen
- rel 4 (don't depend on jpackage-utils)

Revision 1.210  2006/12/01 16:41:46  arekm
- up to weekly 505

Revision 1.209  2006/11/30 15:31:17  glen
- patch wrapper script for JAVA_HOME setting from jpackage-utils; rel 3

Revision 1.208  2006/11/24 20:04:17  arekm
- up to weekly 499

Revision 1.207  2006/11/17 18:18:31  arekm
- up to weekly 494

Revision 1.206  2006/11/10 19:26:20  arekm
- up to weekly 490

Revision 1.205  2006/11/09 00:43:54  charles
- removed install.sh hack (no longer needed)

Revision 1.204  2006/11/08 19:29:13  glen
- not confusing mv

Revision 1.203  2006/11/08 17:30:01  arekm
- fixed todo item

Revision 1.202  2006/11/08 15:56:24  glen
- fix static md5

Revision 1.201  2006/11/08 15:53:20  glen
- update todo

Revision 1.200  2006/11/03 17:22:16  charles
- up to 478 weekly (9.10 RC1)

Revision 1.199  2006/10/21 00:11:51  charles
- new (466) weekly

Revision 1.198  2006/09/22 06:22:56  arekm
- back to rel 2 for final

Revision 1.197  2006/09/22 06:21:33  arekm
- up to 9.02

Revision 1.196  2006/09/09 14:40:48  arekm
- up to 9.02 419 builddir

Revision 1.195  2006/08/11 10:10:38  arekm
- 9.01

Revision 1.194  2006/07/29 14:07:58  arekm
- up to 400 weekly

Revision 1.193  2006/07/25 06:47:23  arekm
- up to 20060724

Revision 1.192  2006/07/23 18:45:40  arekm
- up to 20060721

Revision 1.191  2006/07/08 17:22:26  arekm
- 383 weekly

Revision 1.190  2006/07/07 15:19:50  glen
- fix build for sparc, rel 2

Revision 1.189  2006/06/30 17:46:07  arekm
- up to weekly 379

Revision 1.188  2006/06/23 17:33:01  arekm
- weekly 362

Revision 1.187  2006/06/20 17:47:42  charles
- more md5

Revision 1.186  2006/06/20 14:13:01  shadzik
- up to 9.0 final

Revision 1.185  2006/06/19 06:43:37  arekm
- 344

Revision 1.184  2006/06/16 08:00:53  arekm
- up to 342

Revision 1.183  2006/06/15 08:31:34  arekm
- 339

Revision 1.182  2006/06/12 22:19:30  charles
- up to weekly 333 (IMHO first usable weekly after beta 2)

Revision 1.181  2006/06/09 21:16:55  arekm
- 328 weekly

Revision 1.180  2006/06/08 06:44:22  arekm
- up to weekly 320

Revision 1.179  2006/06/02 18:40:45  arekm
- up to 315

Revision 1.178  2006/05/31 12:55:29  glen
- inline edit moved to %prep

Revision 1.177  2006/05/31 12:28:33  charles
- simplified %install (use DESTDIR)
- rm R openmotif, cleanups

Revision 1.176  2006/05/29 07:40:49  arekm
- weekly 300

Revision 1.175  2006/05/24 19:24:20  arekm
- beta2

Revision 1.174  2006/05/18 22:48:10  charles
- new weekly (284); rel part ++

Revision 1.173  2006/05/12 21:53:23  arekm
- new weekly, erm, daily

Revision 1.172  2006/05/11 13:00:20  arekm
- new weekly (272)

Revision 1.171  2006/05/03 16:22:02  arekm
- new weekly (256)

Revision 1.170  2006/04/21 16:49:23  arekm
- new weekly - 241

Revision 1.169  2006/04/20 16:38:03  arekm
- 9.0 beta1

Revision 1.168  2006/04/19 11:28:53  arekm
- new weekly snap

Revision 1.167  2006/04/15 11:42:30  arekm
- new weekly snap

Revision 1.166  2006/04/07 17:45:14  arekm
- up to 20060407

Revision 1.165  2006/04/06 06:09:23  arekm
- new weekly (225)

Revision 1.164  2006/04/05 22:47:04  charles
- updated to 8.54

Revision 1.163  2006/04/03 15:52:23  arekm
- new weekly

Revision 1.162  2006/03/26 09:07:10  arekm
- new weekly snap

Revision 1.161  2006/02/26 18:16:36  arekm
- weekly needs different numbers dear charles, otherwise no md5 can be updated

Revision 1.160  2006/02/17 21:33:04  charles
- added weekly snapshots version (with bcond)
- openmotif isn't already required for version 9

Revision 1.159  2006/02/17 16:57:45  arekm
- up to 8.52

Revision 1.158  2006/02/07 09:33:39  arekm
- updated snap bcond to 9.0 Preview-2

Revision 1.157  2006/01/26 09:18:46  ankry
- P: wwwbrowser (for future use)

Revision 1.156  2005/12/19 19:47:07  glen
- typo

Revision 1.155  2005/12/19 19:44:48  glen
- add CVE ref

Revision 1.154  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.153  2005/11/22 20:42:28  charles
- updated to 8.51 final (fixes CVE-2005-3750)

Revision 1.152  2005/10/21 09:13:33  arekm
- snap up to 9.0.20051020

Revision 1.151  2005/09/21 01:45:13  charles
- more desc fixed (use bcond)

Revision 1.150  2005/09/20 17:58:21  qboosh
- desc cosmetics

Revision 1.149  2005/09/20 17:48:18  arekm
- description fixed

Revision 1.148  2005/09/20 09:59:08  arekm
- up to 8.50 (this is ADVERTISEMENT-FREE version!)

Revision 1.147  2005/08/01 20:11:28  arekm
- up to 8.02

Revision 1.146  2005/07/29 18:01:40  arekm
- snap version 8.10; 8.02 still not available (stupid opera team announced version without uploading everything to their ftp)

Revision 1.145  2005/06/16 17:37:37  arekm
- up to rereleased (the real release) opera 8.01

Revision 1.144  2005/06/06 11:10:11  glen
- include snapshot version in release, to be able to upgrade from snapshots

Revision 1.143  2005/06/04 21:59:47  arekm
- up to 8.01 final

Revision 1.142  2005/05/27 00:01:42  ankry
- rel. 4

Revision 1.141  2005/05/26 20:54:36  ankry
- next attempt to use sparc as static only

Revision 1.140  2005/05/26 19:50:12  speedy
- aaargh. real fix

Revision 1.139  2005/05/26 19:38:54  speedy
- we have to use static version on sparc...
- release 3

Revision 1.138  2005/05/26 09:57:48  charles
- typo

Revision 1.137  2005/05/23 20:45:51  arekm
- 8.01 snap

Revision 1.136  2005/05/13 09:51:45  charles
- removed pl.lng (We wait for new opera-i18n)

Revision 1.135  2005/05/13 08:19:20  charles
- added polish locale
- fixed %files
- rel. 2

Revision 1.134  2005/04/20 09:20:13  glen
- use sed 4.0

Revision 1.133  2005/04/18 18:43:30  arekm
- up to final 8.0

Revision 1.132  2005/03/18 08:46:43  arekm
- beta3

Revision 1.131  2005/03/04 20:00:59  arekm
- link with latest possible operamotifwrapper

Revision 1.130  2005/03/04 19:45:54  arekm
- fix md5

Revision 1.129  2005/03/01 19:59:34  arekm
- up to 8.0 beta2

Revision 1.128  2005/01/29 14:25:32  arekm
- gcc3 tarball for ppc

Revision 1.127  2005/01/06 07:43:34  arekm
- well, we will use epoch next time

Revision 1.126  2005/01/06 07:31:11  arekm
- up to 8.00 beta

Revision 1.125  2004/12/16 13:28:53  arekm
- up to 7.54u1

Revision 1.124  2004/12/03 15:12:15  arekm
- up to preview4

Revision 1.123  2004/11/16 23:11:17  ankry
- spaces -> tabs

Revision 1.122  2004/11/15 19:38:14  arekm
- more updates

Revision 1.121  2004/11/15 18:48:04  arekm
- opera team is currently uploading snap files, so not all md5 sums updated

Revision 1.120  2004/11/13 22:39:23  arekm
- add /etc/oper* configs

Revision 1.119  2004/10/26 18:46:49  arekm
- 7.60 Preview 2; fix this spec

Revision 1.118  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.117  2004/10/20 19:51:15  dzeus
- typo

Revision 1.116  2004/10/05 13:38:48  pzurowski
- fixed distfiles errors (i hope... if not, i'll revert on demand)

Revision 1.115  2004/10/04 21:45:50  pzurowski
- removed (IMO) pathology with "if"s
- tested with "--without shared --with snap --without incall" on i686 (originally it didn't build)
- should release be bumped up?

Revision 1.114  2004/09/13 10:52:00  havner
- epoch 1, rel 4

Revision 1.113  2004/09/13 08:01:17  arekm
- drop dirrel from release for stable version

Revision 1.112  2004/09/05 13:08:55  arekm
- move english.lng to opera.spec

Revision 1.111  2004/09/05 13:04:33  arekm
- fix date for stable release

Revision 1.110  2004/09/04 22:36:12  japhy
- Package english.lng for snapshot (Opera doesn't start without this file)

Revision 1.109  2004/08/31 19:10:50  ankry
- %files fix

Revision 1.108  2004/08/31 19:02:27  ankry
- i18n files moved to opera-i18n.spec, rel. 3

Revision 1.107  2004/08/30 23:08:33  arekm
- stable/devel choosen by bcond

Revision 1.106  2004/08/30 23:05:52  arekm
- update to 7.60 preview-1 (no sparc version)

Revision 1.105  2004/08/24 15:46:56  dzeus
- typo, english.lng added

Revision 1.104  2004/08/23 10:40:49  arekm
- security note was WRONG: Solution:  The vendor has released a fixed version (7.54)

Revision 1.103  2004/08/23 09:22:03  blues
- SECURITY note

Revision 1.102  2004/08/12 11:05:49  ankry
- OOPS

Revision 1.101  2004/08/12 09:35:18  ankry
- add translations, rel. 2

Revision 1.100  2004/08/12 08:13:43  ankry
- fix src.rpm build

Revision 1.99  2004/08/10 13:55:42  arekm
- fixed in this (7.54) version

Revision 1.98  2004/08/10 13:54:28  blues
- SECURITY note

Revision 1.97  2004/08/06 19:10:06  arekm
- updated to 7.54

Revision 1.96  2004/07/26 15:31:16  arekm
- we can redistribute it

Revision 1.95  2004/07/25 23:30:59  arekm
- updated to 7.53

Revision 1.94  2004/07/08 13:30:42  arekm
- fix wrappers

Revision 1.93  2004/07/08 09:24:48  jack
- updated to 7.52 final (not tested yet!)

Revision 1.92  2004/07/06 22:38:54  arekm
- hack dropped since so.3 vs so.4 incompatibility hits us with flash

Revision 1.91  2004/06/09 20:28:15  arekm
- updated to 7.51

Revision 1.90  2004/05/12 20:25:35  arekm
- updated to 7.50 FINAL

Revision 1.89  2004/05/05 09:09:05  qboosh
- .so perms

Revision 1.88  2004/04/28 20:38:50  arekm
- use polish.lng as name

Revision 1.87  2004/04/28 20:22:42  arekm
- damn

Revision 1.86  2004/04/28 20:20:21  arekm
- add spellcheck

Revision 1.85  2004/04/28 20:11:16  arekm
- more macros usage; update polish language file

Revision 1.84  2004/04/24 21:26:36  arekm
- 7.50 beta1

Revision 1.83  2004/04/18 11:37:07  ankry
- speces -> tabs

Revision 1.82  2004/04/18 09:59:49  gotar
- let builder fetch only choosen source (arch and static/shared) - they are
  NoSource and won't get into nosrc.rpm anyway

Revision 1.81  2004/04/15 13:10:58  arekm
- updated to 7.50 Preview-4

Revision 1.80  2004/03/15 09:46:23  pzurowski
- really new style bconds

Revision 1.79  2004/03/13 20:15:43  arekm
- updated to 7.50 Preview3

Revision 1.78  2004/02/29 18:35:34  arekm
- fixed + mega hack added

Revision 1.77  2004/02/29 18:16:25  jack
- corrected %*rel*

Revision 1.76  2004/02/29 18:05:40  jack
- Builds and works on intel (if only athlon may be called intel) ;)
- 7.50 Preview 2 looks fantastic! ;)

Revision 1.75  2004/01/27 16:52:43  arekm
- create symlink instead of removing wrapper

Revision 1.74  2004/01/08 23:09:28  arekm
- require _only_ one version of libXm.so; rel 2

Revision 1.73  2004/01/08 22:59:02  arekm
- updated src for sparc/ppc

Revision 1.72  2003/12/16 09:54:49  ankry
- separate Source entries for shared/static versions
- NoSource added

Revision 1.71  2003/12/16 08:28:59  ggodlewski
- bcond for shared version - works ok. Default mode perhaps?

Revision 1.70  2003/11/25 21:53:48  arekm
- fix path in opera.policy (so java will now work)

Revision 1.69  2003/11/22 17:48:16  gotar
- _applnkdir -> _desktopdir

Revision 1.68  2003/11/20 19:25:43  arekm
- updated to 7.23 version

Revision 1.67  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powłoka

Revision 1.66  2003/10/25 10:05:34  undefine
- small ppc/sparc fixes ;)

Revision 1.65  2003/10/25 09:01:15  ggodlewski
- ppc<=>sparc fix - I have no place to test it... :(

Revision 1.64  2003/10/24 13:25:43  ggodlewski
- 7.21 final

Revision 1.63  2003/10/20 19:57:02  jack
- md5sums ;)

Revision 1.62  2003/10/20 19:16:41  jack
- updated to preview3

Revision 1.61  2003/10/03 16:50:47  ggodlewski
- 7.21 preview 1/2

Revision 1.60  2003/09/08 13:54:32  ggodlewski
- Beta9

Revision 1.59  2003/08/29 07:34:33  ggodlewski
- B7 rel.

Revision 1.58  2003/08/27 18:51:09  ggodlewski
- B5 rel.

Revision 1.57  2003/08/21 19:32:27  ggodlewski
- B4 snapshot

Revision 1.56  2003/08/18 10:39:33  ankry
- src URL fix

Revision 1.55  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.54  2003/08/14 18:25:30  ggodlewski
- 7.20 B3 - seems to work, some problems with new openmotif

Revision 1.53  2003/05/28 13:00:09  malekith
- massive attack: source-md5

Revision 1.52  2003/05/26 15:41:32  erjot
- add polish locale
- cut changelog

Revision 1.51  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2003/05/17 12:03:19  ggodlewski
- updated to final. At last!
